//    Data Client is a simple script tasks executor.
//    Copyright (C) 2011 Adrián Romero Corchado.
//
//    This file is part of Task Executor
//
//    Data Client is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Data Client is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Data Client. If not, see <http://www.gnu.org/licenses/>.

package com.adr.dataclient.ui;

/**
 *
 * @author adrian
 */
public class TitleTab extends javax.swing.JPanel {

    private ClientFrame hcf;
    private ClientPanel hcp;

    /** Creates new form TaskTab */
    public TitleTab(ClientFrame hcf, ClientPanel hcp) {
        initComponents();
        this.hcf = hcf;
        this.hcp = hcp;
        refreshLabel();
    }

    public void refreshLabel() {
        jTitle.setText(hcp.getTabTitle());
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTitle = new javax.swing.JLabel();
        jDocumentClose = new javax.swing.JButton();

        setOpaque(false);
        setLayout(new java.awt.BorderLayout());
        add(jTitle, java.awt.BorderLayout.CENTER);

        jDocumentClose.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/adr/dataclient/ui/images/closetab.png"))); // NOI18N
        jDocumentClose.setBorder(javax.swing.BorderFactory.createEmptyBorder(1, 10, 0, 0));
        jDocumentClose.setBorderPainted(false);
        jDocumentClose.setContentAreaFilled(false);
        jDocumentClose.setFocusPainted(false);
        jDocumentClose.setFocusable(false);
        jDocumentClose.setPressedIcon(new javax.swing.ImageIcon(getClass().getResource("/com/adr/dataclient/ui/images/closetab_pressed.png"))); // NOI18N
        jDocumentClose.setRequestFocusEnabled(false);
        jDocumentClose.setRolloverIcon(new javax.swing.ImageIcon(getClass().getResource("/com/adr/dataclient/ui/images/closetab_hover.png"))); // NOI18N
        jDocumentClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jDocumentCloseActionPerformed(evt);
            }
        });
        add(jDocumentClose, java.awt.BorderLayout.LINE_END);
    }// </editor-fold>//GEN-END:initComponents

    private void jDocumentCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jDocumentCloseActionPerformed

        hcf.closeDocument(hcp);
        
    }//GEN-LAST:event_jDocumentCloseActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jDocumentClose;
    private javax.swing.JLabel jTitle;
    // End of variables declaration//GEN-END:variables

}
